Bug 879063

Summary: [as7] automated testing needed to verify that types defined in as7 plugin still have the same/valid names.
Product: [Other] RHQ Project Reporter: Larry O'Leary <loleary>
Component: PluginsAssignee: RHQ Project Maintainer <rhq-maint>
Status: NEW --- QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 4.5CC: hrupp
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 847021 Environment:
Last Closed: Type: Task
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 847021, 879062    

Description Larry O'Leary 2012-11-21 18:54:42 EST
+++ This bug was initially created as a clone of JBoss ON Bug #847021 +++

Description of problem: 
During development of as7 plugin several of the names of properties used in the as7 plugin descriptor changed in the as7 domain and standalone models before the final release.  The fix for 844434 means that if we've missed any of these changes that operations/configurations/etc that use names for types, most likely optional, that are no longer valid but have been undetected so far would now cause updates of these configurations/operations to fail.  BZ 844434 made our code more forgiving about these missmatches.

The proposed fix would be to write some code to parse the as7 plugin descriptor and navigate the hierarchies of both standalone and domain types and verify against a valid eap instances.  The logic to connect nodes from the descriptor to actual as7 nodes because of special handling logic is non trivial.  Spinder has started this work.

Version-Release number of selected component (if applicable):


How reproducible:
N/A.

--- Additional comment from Simeon Pinder on 2012-08-09 09:36:32 EDT ---

We might want to push this out of 3.1.1. See 844434 for more details.

--- Additional comment from mark yarborough on 2012-11-20 15:45:24 EST ---

Per triage with loleary, crouch, mfoley: Move to JBoss ON product, set target release JON 3.2, clear priority (will be subject to further triage in JON 3.2 timeframe).